import 'package:app/main.dart';
import 'package:app/router/page/app_page_router.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:shared/utils/size_config.dart';
import 'package:widgets/my_load_image.dart';
import 'package:auto_route/annotations.dart';
import '../vm/splash_view_model.dart';
import 'package:auto_route/auto_route.dart';

@RoutePage()
class SplashPage extends HookConsumerWidget {
  const SplashPage({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    SizeConfig().init(context);

   final viewModel = ref.watch(splashViewModelProvider.notifier)..setContext(context);

    return Scaffold(
      backgroundColor: context.appColors.backgroundWhite,
      body: const Center(
        child: MyAssetImage(
          Assets.assetsYyHomeSplash,
          width: 129,
          height: 56.5,
          fit: BoxFit.contain,
        ),
      ),
    );
  }
}
